Closed Bug 730533 Opened 9 years ago Closed 9 years ago

Update SeaMonkey website for 2.8 Beta 4

Categories

(SeaMonkey :: Website, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: Callek, Assigned: InvisibleSmiley)

References

Details

Attachments

(1 file)

+++ This bug was initially created as a clone of Bug #728431 +++

+++ This bug was initially created as a clone of Bug #725487 +++

For making SeaMonkey 2.8 Beta 3 public, we'll need to update the website.

ETA for this release is Saturday February 25th.

So Jens, I'm SOOOO used to you usually tossing this out early that I missed that you hadn't. I was going to push the beta today, but I guess tomorrow it is (since I didn't see the bug for this when I was about to).

If you don't get a bug on file for it by mid afternoon I will do the work, but just hoping.
(In reply to Justin Wood (:Callek) from comment #0)
> For making SeaMonkey 2.8 Beta 3 public, we'll need to update the website.
> 
> ETA for this release is Saturday February 25th.

Compare this with:

(In reply to Edmund Wong (:ewong) from bug 729837 comment #0)
> This is a tracking bug for Build and Release of SeaMonkey 2.8 Beta 4
> 
> We expect an actual release on 26th February.

Then you have your answer why I didn't do anything here yet. I cannot guess what the release date is, so if there are off-by-one errors, this is the result.

> If you don't get a bug on file for it by mid afternoon I will do the work,
> but just hoping.

I thought this *is* the bug for that?

Anyway, please resolve the release date issue first, then I'll come up with a patch. Note however that I'm AFK for the whole evening (i.e. starting ~8 hours from now), so I need to have an answer at least an hour before I'm off.
Attached patch patchSplinter Review
Well, I guess a date can be changed, so here's the patch assuming release is happening today.
From the previous notes: "SeaMonkey 2.8 Beta 3 will offer to migrate your data from SeaMonkey 1.x or Mozilla 1.x at the first start after installation."

> http://www.seamonkey-project.org/releases/seamonkey2.8/#install

That should no longer apply now that bug 689437 hits this release.

> http://www.seamonkey-project.org/releases/seamonkey2.8/#issues

Proposed wording: "SeaMonkey 2.8 will no longer offer to migrate your data from SeaMonkey 1.x or Mozilla 1.x at the first start after installation (bug 689437). Install a SeaMonkey 2.0-2.7.2 first to migrate such a profile before upgrading to SeaMonkey 2.8 or later."
(In reply to Jens Hatlak (:InvisibleSmiley) from comment #1)
> (In reply to Justin Wood (:Callek) from comment #0)
> > For making SeaMonkey 2.8 Beta 3 public, we'll need to update the website.
> > 
> > ETA for this release is Saturday February 25th.
> 
> Compare this with:

oooooooo duh :( Sorry. That was miscommunication, and I absorb all fault for that. I am not even sure if I told ewong one way or the other on a real date.

Thanks for the patch though!
Checking in lib/config.tmpl;
/www/seamonkeyproject-org/lib/config.tmpl,v  <--  config.tmpl
new revision: 1.97; previous revision: 1.96
done
Checking in lib/sitemap.xml;
/www/seamonkeyproject-org/lib/sitemap.xml,v  <--  sitemap.xml
new revision: 1.104; previous revision: 1.103
done
Checking in src/news.en.xml;
/www/seamonkeyproject-org/src/news.en.xml,v  <--  news.en.xml
new revision: 1.141; previous revision: 1.140
done
Checking in src/releases/2.8b3.en.html;
/www/seamonkeyproject-org/src/releases/2.8b3.en.html,v  <--  2.8b3.en.html
new revision: 1.2; previous revision: 1.1
done
Checking in src/releases/index.en.html;
/www/seamonkeyproject-org/src/releases/index.en.html,v  <--  index.en.html
new revision: 1.219; previous revision: 1.218
done
Checking in src/releases/seamonkey2.8/changes.en.html;
/www/seamonkeyproject-org/src/releases/seamonkey2.8/changes.en.html,v  <--  changes.en.html
new revision: 1.5; previous revision: 1.4
done
Checking in src/releases/seamonkey2.8/index.en.html;
/www/seamonkeyproject-org/src/releases/seamonkey2.8/index.en.html,v  <--  index.en.html
new revision: 1.3; previous revision: 1.2
done
Checking in src/releases/seamonkey2.8/relnote.var;
/www/seamonkeyproject-org/src/releases/seamonkey2.8/relnote.var,v  <--  relnote.var
new revision: 1.4; previous revision: 1.3
done
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
(In reply to Justin Wood (:Callek) from comment #5)
> Checking in src/releases/seamonkey2.8/changes.en.html;
> new revision: 1.5; previous revision: 1.4

"The Gecko patch level (e.g. 11.X.Y) is no longer exposed in the User-Agent string, only the major version (11.X) (bug 572659)."

Even though a patch was checked in on mozilla-aurora and mozilla-beta, it should only affect mobile, i.e., Fennec builds. The full change for all application comes with Gecko 13.0, that's SeaMonkey 2.10.

And yes, the current comm-aurora nightly shows Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a2) Gecko/20120225 SeaMonkey/2.9a2 for me, which should be "rv:12.0" only if the full trunk-style patch was active in this build already.
added archive page

RCS file: /www/seamonkeyproject-org/src/releases/2.8b4.en.html,v
done
Checking in src/releases/2.8b4.en.html;
/www/seamonkeyproject-org/src/releases/2.8b4.en.html,v  <--  2.8b4.en.html
initial revision: 1.1
done
Thanks rsx11m, the issue from comment 3 I missed; for the one from comment 6 I blame the stupid check-in comment (wasn't too clear from the changeset contents either, but you can tell from the attachment name and flags on the bug).

removed erroneously added bug 572659
adapted installation instructions in light of bug 689437

Checking in src/releases/seamonkey2.8/changes.en.html;
/www/seamonkeyproject-org/src/releases/seamonkey2.8/changes.en.html,v  <--  changes.en.html
new revision: 1.6; previous revision: 1.5
done
Checking in src/releases/seamonkey2.8/index.en.html;
/www/seamonkeyproject-org/src/releases/seamonkey2.8/index.en.html,v  <--  index.en.html
new revision: 1.4; previous revision: 1.3
done
(In reply to rsx11m from comment #6)
> (In reply to Justin Wood (:Callek) from comment #5)
> > Checking in src/releases/seamonkey2.8/changes.en.html;
> > new revision: 1.5; previous revision: 1.4
> 
> "The Gecko patch level (e.g. 11.X.Y) is no longer exposed in the User-Agent
> string, only the major version (11.X) (bug 572659)."
> 
> Even though a patch was checked in on mozilla-aurora and mozilla-beta, it
> should only affect mobile, i.e., Fennec builds. The full change for all
> application comes with Gecko 13.0, that's SeaMonkey 2.10.

I thought it affects everyone, which would be the only logical thing to do, but the UA discussion is crazy and even if I completely disagree with you on it, I don't want to drag it into this bug. That said, I don't see how this comment is even of any relevance to beta or release, because the minor detail that a 2.10.1 oilspill would have rv:13.0 is nothing that should ever be mentioned in relnotes, IMHO.
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #9)
> I don't want to drag it into this bug.

That wasn't my intention either, I merely wanted to correct a mistake in the page.

> detail that a 2.10.1 oilspill would have rv:13.0 is nothing that should ever
> be mentioned in relnotes, IMHO.

It would become relevant for the releases notes if bug 728952 makes it, thus to avoid confusion about the version, but let's wait if and until we get there.
(In reply to rsx11m from comment #10)
> It would become relevant for the releases notes if bug 728952 makes it

Then we should not mention it in the relnotes before that one might make it into a beta/release.
Product: Websites → SeaMonkey
You need to log in before you can comment on or make changes to this bug.